Subject: Re: [PATCH net mlxsw v2 0/2] mlxsw: spectrum: Fix ECN marking in tunnel decapsulation

From: Ido Schimmel <[email-masked]>
Date: Mon, 29 Mar 2021 11:38:31 +0300

On Mon, Mar 29, 2021 at 11:29:25AM +0300, Ido Schimmel wrote:
> From: Ido Schimmel <[email-masked]>
> 
> Patch #1 fixes a discrepancy between the software and hardware data
> paths with regards to ECN marking after decapsulation. See the changelog
> for a detailed description.
> 
> Patch #2 extends the ECN decap test to cover all possible combinations
> of inner and outer ECN markings. The test passes over both data paths.
> 
> v2:
> * Only set ECT(1) if inner is ECT(0)
> * Introduce a new helper to determine inner ECN. Share it between NVE
>   and IP-in-IP tunnels
> * Extend the selftest

Sorry about the "PATCH net mlxsw v2" patches. They are the internal
version of the patches and I sent them out by mistake.

Let me know if you want me to re-submit.

> 
> Ido Schimmel (2):
>   mlxsw: spectrum: Fix ECN marking in tunnel decapsulation
>   selftests: forwarding: vxlan_bridge_1d: Add more ECN decap test cases
> 
>  drivers/net/ethernet/mellanox/mlxsw/spectrum.h    | 15 +++++++++++++++
>  .../net/ethernet/mellanox/mlxsw/spectrum_ipip.c   |  7 +++----
>  .../net/ethernet/mellanox/mlxsw/spectrum_nve.c    |  7 +++----
>  .../selftests/net/forwarding/vxlan_bridge_1d.sh   | 13 ++++++++++++-
>  4 files changed, 33 insertions(+), 9 deletions(-)
> 
> -- 
> 2.30.2
>